XmTextGetSelectionWcs(3)

NAME
XmTextGetSelectionWcs — A Text function that retrieves the value of a wide character encoded primary selection

SYNOPSIS

#include <Xm/Text.h>
wchar_t * XmTextGetSelectionWcs(
Widget widget);

DESCRIPTION

XmTextGetSelectionWcs retrieves the value of the primary selection that is encoded in a wide character format. It returns a NULL pointer if no text is selected in the widget. The application is responsible for freeing the storage associated with the wide character buffer by calling XtFree.

widget
    Specifies the Text widget ID

For a complete definition of Text and its associated resources, see XmText(3).

RETURN

Returns the wide character string that is associated with the primary selection in the Text widget.

RELATED

XmText(3) and XmTextGetSelection(3).